import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';

@immutable
abstract class IndividualState extends Equatable {
  IndividualState([List props = const []]) : super();

  @override
  // TODO: implement props
  List<Object> get props => [];
}

class InitialIndividualState extends IndividualState {}

class IndividualLoading extends IndividualState {
  @override
  String toString() => 'IndividualLoading';
}

class IndividualSuccess extends IndividualState {
  @override
  String toString() {
    return 'IndividualSuccess';
  }
}

class IndividualFailure extends IndividualState {
  final String error;

  IndividualFailure(this.error);

  @override
  String toString() => 'IndividualFailure { error: $error }';
}
